# Uses of Interface
org.eclipse.emf.cdo.security.SecurityItem

Packages that use SecurityItem
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of SecurityItem in org.eclipse.emf.cdo.security

Subinterfaces of SecurityItem in org.eclipse.emf.cdo.security
Modifier and Type
Interface
Description
`interface`
`Assignee`
A representation of the model object 'Assignee'.
`interface`
`Directory`
A representation of the model object 'Container'.
`interface`
`Group`
A representation of the model object 'Group'.
`interface`
`Role`
A representation of the model object 'Role'.
`interface`
`User`
A representation of the model object 'User'.
Methods in org.eclipse.emf.cdo.security that return types with arguments of type SecurityItem
Modifier and Type
Method
Description
`EList<SecurityItem>`
Directory.`getItems()`
Returns the value of the 'Items' containment reference list.
`EList<SecurityItem>`
Realm.`getItems()`
Returns the value of the 'Items' containment reference list.
Method parameters in org.eclipse.emf.cdo.security with type arguments of type SecurityItem
Modifier and Type
Method
Description
`static BasicEList<Group>`
RealmUtil.`allGroups(EList<SecurityItem> items)`
`static BasicEList<Permission>`
RealmUtil.`allPermissions(EList<SecurityItem> items)`
`static BasicEList<Role>`
RealmUtil.`allRoles(EList<SecurityItem> items)`
`static BasicEList<User>`
RealmUtil.`allUsers(EList<SecurityItem> items)`
`static Group`
RealmUtil.`findGroup(EList<SecurityItem> items, String groupID)`
`static Role`
RealmUtil.`findRole(EList<SecurityItem> items, String roleID)`
`static User`
RealmUtil.`findUser(EList<SecurityItem> items, String userID)`
`static Group`
RealmUtil.`removeGroup(EList<SecurityItem> items, String groupID)`
`static Role`
RealmUtil.`removeRole(EList<SecurityItem> items, String roleID)`
`static User`
RealmUtil.`removeUser(EList<SecurityItem> items, String userID)`

## Uses of SecurityItem in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement SecurityItem
Modifier and Type
Class
Description
`class`
`AssigneeImpl`
An implementation of the model object 'Assignee'.
`class`
`DirectoryImpl`
An implementation of the model object 'Container'.
`class`
`GroupImpl`
An implementation of the model object 'Group'.
`class`
`RoleImpl`
An implementation of the model object 'Role'.
`class`
`SecurityItemImpl`
An implementation of the model object 'Item'.
`class`
`UserImpl`
An implementation of the model object 'User'.
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type SecurityItem
Modifier and Type
Method
Description
`protected EList<SecurityItem>`
RealmImpl.`getGroupItems()`
`EList<SecurityItem>`
DirectoryImpl.`getItems()`
`EList<SecurityItem>`
RealmImpl.`getItems()`
`protected EList<SecurityItem>`
RealmImpl.`getRoleItems()`
`protected EList<SecurityItem>`
RealmImpl.`getUserItems()`

## Uses of SecurityItem in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type SecurityItem
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseSecurityItem(SecurityItem object)`
Returns the result of interpreting the object as an instance of 'Item'.
`boolean`
SecurityValidator.`validateSecurityItem(SecurityItem securityItem, DiagnosticChain diagnostics, Map<Object,Object> context)`